| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | List of all members
IG.Lib.VectorDto Class Reference

Data Transfer Object (DTO) for vectors of type IG.Num.Vector. Used to store, transfer, serialize and deserialize objects of type Vector. More...

Inheritance diagram for IG.Lib.VectorDto:
[legend]
Collaboration diagram for IG.Lib.VectorDto:
[legend]

## Public Member Functions
| VectorDto ()
| Creates a DTO for storing state of a vector object of any vector type More...
| VectorDto (int length)
| Creates a DTO for storing a vector object of any vector type, with specified dimension. More...
override Vector | CreateVector (int length)
| Creates and returns a new vector of the specified dimension. More...
Public Member Functions inherited from IG.Lib.VectorDtoBase< VectorType >
| VectorDtoBase ()
| Default constructor, sets IsNull to true. More...
| VectorDtoBase (int length)
| Constructor, prepares the current DTO for storing a vector of the specified dimension. More...
override VectorType | CreateObject ()
| Creates and returns a new vector of the specified type and dimension. More...
Public Member Functions inherited from IG.Lib.SerializationDtoBase< Type, BaseType >
| SerializationDtoBase ()
virtual bool | GetNull ()
| Returns a flag indicating whether the object represented by the current DTO is null. More...
virtual void | SetNull (bool isNull)
| Sets a flag indicating whether the object represented by the current DTO is null. More...
virtual void | CopyFromBase (BaseType obj)
| Copies data to the current DTO from an object of type BaseType. More...
virtual void | CopyToBase (ref BaseType obj)
| Copies data from the current DTO to an object of the base type. Object is created anew if necessary by using the CreateObject() method. More...
virtual void | CopyFrom (Type obj)
| Copies data to the current DTO from an object of type Type. More...
virtual void | CopyTo (ref Type obj)
| Copies data from the current DTO to an object of type Type. Object is created anew if necessary by using the CreateObject() method. More...
virtual void | CopyFromObject (object obj)
| Copies data to the current DTO from an object of type object. The necessary casts are performed. More...
virtual void | CopyToObject (ref object obj)
| Copies data from the current DTO to an object of type object. Object is created anew if necessary by using the CreateObject() method. The necessary casts are performed. More...
override string | ToString ()
| Creates and returns string representation of the current DTO (data transfer object). More...

## Additional Inherited Members
Static Public Member Functions inherited from IG.Lib.SerializationDto
static ObjectType | CopyToObjectReturned< DtoType, ObjectType > (DtoType dto, ObjectType obj)
| Replacement for CopyToObject<DtoType> for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyToObject< DtoType, ObjectType > (DtoType dto, ref ObjectType obj)
| Copies object state form the specified DTO (data transfer object) to the specified object. More...
static DtoType | CopyFromObjectReturned< DtoType, ObjectType > (ObjectType obj, DtoType dto)
| Replacement for CopyObjectFromObject<DtoType> for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyFromObject< DtoType, ObjectType > (ObjectType obj, ref DtoType dto)
| Copies object state form the specified object to the corresponding DTO (data transfer object). More...
static ObjectType[] | CopyArrayToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, ObjectType[] tabObj)
| Replacement for CopyArrayToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayToObject< DtoType, ObjectType > (DtoType[] tabDto, ref ObjectType[] tabObj)
| Copies array of DTOs (Data Transfer Objects) to an array of appropriate objects. More...
static DtoType[] | CopyArrayFromObjectReturned< DtoType, ObjectType > (ObjectType[] tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayFromObject< DtoType, ObjectType > (ObjectType[] tabObj, ref DtoType[] tabDto)
| Copies array of objects to an array of DTOs. More...
static List< ObjectType > | CopyListToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, List< ObjectType > listObj)
| Replacement for CopyListToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListToObject< DtoType, ObjectType > (DtoType[] tabDto, ref List< ObjectType > listObj)
| Copies array of DTOs (Data Transfer Objects) to a list of appropriate objects. More...
static DtoType[] | CopyListFromObjectReturned< DtoType, ObjectType > (List< ObjectType > tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListFromObject< DtoType, ObjectType > (List< ObjectType > tabObj, ref DtoType[] tabDto)
| Copies array of objects to a list of DTOs. More...
Protected Member Functions inherited from IG.Lib.VectorDtoBase< VectorType >
virtual void | AllocateComponents (int dim)
| Allocates the array that stores vector elements. More...
override void | CopyFromPlain (IVector vec)
| Copies data to the current DTO from a vector object. More...
override void | CopyToPlain (ref IVector vec)
| Copies data from the current DTO to a vector object. More...
Protected Member Functions inherited from IG.Lib.SerializationDtoBase< Type, BaseType >
abstract void | CopyFromPlain (BaseType obj)
| Copies contents of the specified object to the current DTO (Data Transfer Object). More...
abstract void | CopyToPlain (ref BaseType obj)
| Copies contents of the current DTO (Data Transfer Object) to the specified object. More...
Protected Member Functions inherited from IG.Lib.SerializationDto
| SerializationDto ()
Protected Attributes inherited from IG.Lib.VectorDtoBase< VectorType >
int | _length
double[] | _elements
Protected Attributes inherited from IG.Lib.SerializationDtoBase< Type, BaseType >
bool | _isNull = false
Properties inherited from IG.Lib.VectorDtoBase< VectorType >
int | Length`[get, set]`
| Vector dimension. More...
double[] | Elements`[get, set]`
| Vector elements. More...
Properties inherited from IG.Lib.SerializationDtoBase< Type, BaseType >
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Data Transfer Object (DTO) for vectors of type IG.Num.Vector. Used to store, transfer, serialize and deserialize objects of type Vector.

$A Igor Aug09;

## Constructor & Destructor Documentation

IG.Lib.VectorDto.VectorDto | ( |  | ) |
| inline

Creates a DTO for storing state of a vector object of any vector type

IG.Lib.VectorDto.VectorDto | ( | int | length | ) |
| inline

Creates a DTO for storing a vector object of any vector type, with specified dimension.

Parameters

  length | Vector dimension.

## Member Function Documentation

override Vector IG.Lib.VectorDto.CreateVector | ( | int | length | ) |
| inline virtual

Creates and returns a new vector of the specified dimension.

Parameters

  length | Vector dimension.

Implements IG.Lib.VectorDtoBase< VectorType >.

The documentation for this class was generated from the following file:

- igbase/data/serialization/dtos/VectorDto.cs